<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>
    <h2>JavaScript</h2>
    <p id="demo"></p>
    <script>

        //if statement.............

        // var a = 10;
        // if(a == 10){ //ans: - true
        //     document.write(a) 
        // }

        // var a = 10;
        // var b = 20
        // if((a == 10) && (b == 20)){ //ans: - true
        //     document.write("Roll 10")
        // }

        // var a = 10;
        // var b = 20
        // if((a == 10) && (b == 10)){ //ans: - false
        //     document.write("Roll 10")
        // }
    
        // var a = 10;
        // var b = 20
        // if((a == 10) || (b == 10)){
        //     document.write("Roll 10") //ans: - true
        // }

        // var a = 10;
        // var b = 20
        // if((a < b) || (b > a)){
        //     document.write("Roll 10") //ans: - true
        // }

        // var a = 10;
        // var b = 20
        // if((a > b) || (b > a)){
        //     document.write("Roll 10") //ans: - true
        // }

        // var a = 10;
        // var b = 20
        // if((a > b) || (b < a)){
        //     document.write("Roll 10") //ans: - fralse
        // }

        // var a = prompt("Enter your Roll: ")
        // if(a == 10){
        //     document.write("Rahul")
        // }

        //if else statement.............

        // var a = prompt("Enter your Roll: ")
        // if(a == 10){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // if(a == 10){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // if(a == 20){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 20;
        // if((a == b) && (b == a)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 10;
        // if((a == b) && (b == a)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 10;
        // var c = 20;
        // if((a == b) && (b == c)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 10;
        // var c = 20;
        // if((a == b) || (b == c)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 10;
        // var c = 20;
        // if(!(b == a)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        // var a = 10;
        // var b = 10;
        // var c = 20;
        // if(!(b == c)){
        //     document.write("Rahul")
        // }
        // else {
        //     document.write("Wrong Value")
        // }

        //else if  statement.............

        // var result = prompt("Enter your Roll")
        // if(result <= 30){
        //     document.write("Fail")
        // }
        // else if(result <= 40){
        //     document.write("Pass")
        // }
        // else if(result <= 60){
        //     document.write("Good")
        // }
        // else{
        //     document.write("Very Good")
        // }

        // var result = 35;
        // if(result <= 30){
        //     document.write("Fail")
        // }
        // else if(result <= 40){
        //     document.write("Pass") //ans
        // }
        // else if(result <= 60){
        //     document.write("Good")
        // }
        // else{
        //     document.write("Very Good")
        // }

        //Switch Statement.............

        // var day = 3;
        // switch(day){
        //     case 1 :
        //     document.write("Sun")
        //     break
        //     case 2 :
        //     document.write("Mon")
        //     break
        //     case 3 :
        //     document.write("Tue")
        //     break
        //     case 4 :
        //     document.write("Thr")
        //     break
        //     default:
        //     document.write("Wrong")
        // }

        // var day = prompt("Enter your no");
        // switch (parseInt(day)){
        //     case 1 :
        //     document.write("Sun")
        //     break;
        //     case 2 :
        //     document.write("Mon")
        //     break;
        //     case 3 :
        //     document.write("Tue")
        //     break;
        //     case 4 :
        //     document.write("Thr")
        //     break;
        //     case 5 :
        //     document.write("Wed")
        //     break;
        //     case 6 :
        //     document.write("Fri")
        //     break;
        //     case 7 :
        //     document.write("Sat")
        //     break;
        //     default:
        //     document.write("Wrong")
        // }

        // var day = prompt("Enter your no");
        // switch(day){
        //     case "mon" :
        //     case "tue" :
        //     case "wed" :
        //     case "thr" :
        //     case "fri" :
        //     document.write("working day")
        //     break;
        //     case "sat" :
        //     case "sun" :
        //     document.write("holiday")
        //     break;
        //     default:
        //     document.write("Wrong")
        // }

        //for Loop.............

        // for(i = 0; i <= 5; i++){
        //  document.write(i + "<br>") //ans:- 0,1,2,3,4,5
        // }

        // for(i = 0; i < 5; i++){
        //  document.write(i + "<br>") //ans:- 0,1,2,3,4
        // }

        // var i = 0;
        // for(; i < 5; i++){
        // document.write(i + "<br>")
        // }
        // document.write("Stop Loop")

        // var i = 0;
        // for(; i < 5; ){
        // i++;
        // document.write(i + "<br>")
        // }
        // document.write("Stop Loop")

        // var i = 0;
        // for(; ; i++){
        // if(i==3){
        //     break;
        // }
        // document.write(i + "<br>")
        // }
        // document.write("Stop Loop")

        //Nested for Loop.........

        // for(i = 0; i < 3;){
        //   i++;
        //   document.write("<strong> Outer </strong>" + i + "<br>")
        //   for(j = 0; j < 5; ){
        //   j++;
        //   document.write("Round" + j + "<br>")
        //   }
        //  }

        //While Loop..........

        // var i = 0;
        // while( i < 5){
        //     document.write("Round" + i + "<br>")
        //     i++
        // }

        // var i = 0;
        // while(true){
        // if(i == 5){
        // break;
        // }
        // document.write("Round" + i + "<br>")
        // i++
        // }

        // var i = 1;
        // while( i < 5){
        //     document.write("<strong>Outer</strong>" + i + "<br>")
        //     i++
        //     var j = 1;
        //     while(j < 5){
        //         document.write("Inner" + j + "<br>")
        //     j++
        //     }
        // }

        //Do While Loop...........

        // var i = 0;
        // do
        // {
        //   document.write("<strong>Round: </strong>" + i + "<br>")
        //   i++
        // }while(i <= 5)

        // var i = 0;
        // do
        // {
        //   if(i == 5){
        //       break
        //   }
        //   document.write("<strong>Round: </strong>" + i + "<br>")
        //   i++
        // }while(true)
       
        //Nested Do While Loop...........

        // var i = 0;
        // do
        // {
        //   document.write("<strong>Outer: </strong>" + i + "<br>")
        //   i++
        //   var j = 1
        //   do
        //     {
        //     document.write("Inner: " + j + "<br>")
        //     j++
        //     }while(j <= 2);
        // }while(i <= 5);

    </script>
</body>
</html>